Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06008 Graphics Major Always Aug 4, 2015, 19:41 Aug 15, 2015, 22:18
Tester Cirno View Status Public Platform MAME (Self-compiled)
Assigned To hap Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver bfm_sc4.cpp
Version 0.164 Fixed in Version 0.165 Build 64-bit
Summary 06008: bfm_sc4.c: FATAL ERROR: Too many live textures in src/emu/renderer.c:500
Description I know it's labeled as not working but the machines under BFM_ SC4 do work for the most part, all they are lacking is the payout hopper emulation and the 7segs need the 8bit data swaps sorting.

However while working on a layout for it i stumbled upon a bug that causes the layout renderer (render.c) to stop working if too many bezel elements of varying sizes are placed, i believe the number is between 12 and 15 different sizes. But going back and changing the edited value allows the layout to run.

You can see a video of me demonstrating the problem here -


Tried the layout in various builds (32bit, MAMEUI, non self compiled versions) and the issue still persists.
Steps To Reproduce Take default layout, edit and add 12 differently sized Bezel's, layout then refuses to load and render.c crashes the emulator.
Additional Information The game does run and i am about 90% of the way of getting a functioning layout for it.
Flags
Regression Version
Affected Sets / Systems bfm_sc4.c
Attached Files
zip file icon sc4dnd.zip (2,175,475 bytes) Aug 4, 2015, 19:43 Uploaded by Cirno
The sc4dnd layout i'm working on and can be used to find the fault (Edit bezel name="lamp70" from 30 width to 32 width).
Relationships
There are no relationsihp linked to this issue.
Notes
4
User avatar
No.11938
Haze
Senior Tester
Aug 5, 2015, 11:29
if you can compile your own

try changing
static const int MAX_TEXTURE_SCALES = 8;
in src\emu\render.h

to a higher number
User avatar
No.11939
hap
Developer
Aug 5, 2015, 11:34
Yup, it is a known limitation of the layout renderer.

I suggest making a copy of the bezel element if you're using more than 8 of it.
So, for example you have one named "blue_lamp", copy/paste that and name the copy "blue_lamp2"
If that works, this bug can be closed.
User avatar
No.11940
Cirno
Tester
Aug 5, 2015, 13:10
Thanks to the both of you, luckily both solutions worked. Set the maximum scales to 16 and it loaded fine, then went back to the pre-compiled version and cloned the lamp element in the layout then renamed a few bezels and that loaded fine too.
User avatar
No.11947
Tafoid
Administrator
Aug 10, 2015, 18:48
Acknowledging until actual source changes are made to counteract the issues in the future.